# video feed prototypes

These scripts poll a peertube instance to return a list of videos and construct a static page for it using jinja2.

See it in action on <https://roelof.info/lumbung/>

## video-feed.py

Utility that returns Peertube videos tagged as `publish` and turns them in to `hugo` page bundles. Videos no longer tagged as `publish` are deleted.

### index-template.md

Jinja2 template of a hugo post for use with the above.

## streams-feed.py 

Returns only livestreams and displays them differently depending on the tags associated with the video. E.g. audio stream or video stream. WIP.

### video-feed.html
The jinja template for creating video feeds. This is now used in the HUGO theme.

### video-feed-prototype.html
rendered example of above




